gr::gsm Namespace Reference

## Classes

class | control_channels_decoder
| <+description of block+> More...
class | tch_f_decoder
| <+description of block+> More...
class | tch_h_decoder
| <+description of block+> More...
class | decryption
| <+description of block+> More...
class | tch_f_chans_demapper
| <+description of block+> More...
class | tch_h_chans_demapper
| <+description of block+> More...
class | universal_ctrl_chans_demapper
| <+description of block+> More...
class | burst_fnr_filter
| <+description of block+> More...
class | burst_sdcch_subslot_filter
| <+description of block+> More...
class | burst_sdcch_subslot_splitter
| <+description of block+> More...
class | burst_timeslot_filter
| <+description of block+> More...
class | burst_timeslot_splitter
| <+description of block+> More...
class | burst_type_filter
| <+description of block+> More...
class | dummy_burst_filter
| <+description of block+> More...
class | uplink_downlink_splitter
| <+description of block+> More...
class | burst_file_sink
| <+description of block+> More...
class | burst_file_source
| <+description of block+> More...
class | burst_to_fn_time
| <+description of block+> More...
class | bursts_printer
| <+description of block+> More...
class | collect_system_info
| <+description of block+> More...
class | controlled_fractional_resampler_cc
| <+description of block+> More...
class | controlled_rotator_cc
| <+description of block+> More...
class | extract_assignment_cmd
| <+description of block+> More...
class | extract_cmc
| <+description of block+> More...
class | extract_immediate_assignment
| <+description of block+> More...
class | extract_system_info
| <+description of block+> More...
class | message_file_sink
| <+description of block+> More...
class | message_file_source
| <+description of block+> More...
class | message_printer
| <+description of block+> More...
class | msg_to_tag
| <+description of block+> More...
class | time_spec_t
class | tmsi_dumper
| <+description of block+> More...
class | udp_socket
class | clock_offset_control
| <+description of block+> More...
class | cx_channel_hopper
| <+description of block+> More...
class | receiver
| <+description of block+> More...
class | gen_test_ab
| A block that does preprocessing tasks before sending bursts to modulator. More...
class | preprocess_tx_burst
| A block that does preprocessing tasks before sending bursts to modulator. More...
class | txtime_setter
| <+description of block+> More...
class | trx_burst_if
| <+description of block+> More...
class | control_channels_decoder_impl
class | tch_f_decoder_impl
class | tch_h_decoder_impl
class | decryption_impl
class | tch_f_chans_demapper_impl
class | tch_h_chans_demapper_impl
class | universal_ctrl_chans_demapper_impl
class | burst_fnr_filter_impl
class | burst_sdcch_subslot_filter_impl
class | burst_sdcch_subslot_splitter_impl
class | burst_timeslot_filter_impl
class | burst_timeslot_splitter_impl
class | burst_type_filter_impl
class | dummy_burst_filter_impl
class | uplink_downlink_splitter_impl
class | burst_file_sink_impl
class | burst_file_source_impl
class | burst_to_fn_time_impl
class | bursts_printer_impl
class | collect_system_info_impl
class | controlled_fractional_resampler_cc_impl
class | controlled_rotator_cc_impl
class | extract_assignment_cmd_impl
class | extract_cmc_impl
class | immediate_assignment
class | extract_immediate_assignment_impl
class | chan_info
struct | compare_id
struct | compare_pwr
class | extract_system_info_impl
class | message_file_sink_impl
class | message_file_source_impl
class | message_printer_impl
class | msg_to_tag_impl
class | tmsi_dumper_impl
class | clock_offset_control_impl
class | cx_channel_hopper_impl
class | receiver_impl
class | time_sample_ref
class | gen_test_ab_impl
class | preprocess_tx_burst_impl
class | txtime_setter_impl
class | trx_burst_if_impl

## Typedefs

typedef std::pair< unsigned long long, double > | time_format
typedef std::map< uint32_t, immediate_assignment > | immediate_assignment_map
typedef std::map< unsigned int, chan_info > | chan_info_map

## Enumerations

enum | tch_mode { TCH_AFS12_2 , TCH_AFS10_2 , TCH_AFS7_95 , TCH_AFS7_4 , TCH_AFS6_7 , TCH_AFS5_9 , TCH_AFS5_15 , TCH_AFS4_75 , TCH_FS , TCH_EFR , TCH_HS }
enum | filter_mode { FILTER_LESS_OR_EQUAL , FILTER_GREATER_OR_EQUAL }
enum | subslot_filter_mode { SS_FILTER_SDCCH8 , SS_FILTER_SDCCH4 }
enum | splitter_mode { SPLITTER_SDCCH8 , SPLITTER_SDCCH4 }
enum | filter_policy { FILTER_POLICY_DEFAULT , FILTER_POLICY_PASS_ALL , FILTER_POLICY_DROP_ALL }
enum | um_radio_link_direction { downlink =0 , uplink =1 }

## Functions

GSM_API const std::string | build_date ()
| return date/time of build, as set when 'cmake' is run
GSM_API const std::string | version ()
| return version string defined by cmake (GrVersion.cmake)
GSM_API const std::string | major_version ()
| return just the major version defined by cmake
GSM_API const std::string | api_version ()
| return just the api version defined by cmake
GSM_API const std::string | minor_version ()
| return just the minor version defined by cmake
GSM_API const std::string | maint_version ()
| return just the maint version defined by cmake
GSM_API time_format | fn_time_delta_cpp (uint32_t fn_ref, time_format time_ref, uint32_t fn_x, time_format time_hint, uint32_t ts_num, uint32_t ts_ref)
bool | operator== (const time_spec_t &, const time_spec_t &)
| Implement equality_comparable interface.
bool | operator< (const time_spec_t &, const time_spec_t &)
| Implement less_than_comparable interface.

## Typedef Documentation

## chan_info_map

typedef std::map<unsigned int, chan_info> gr::gsm::chan_info_map

## immediate_assignment_map

typedef std::map<uint32_t, immediate_assignment> gr::gsm::immediate_assignment_map

## time_format

typedef std::pair<unsigned long long, double> gr::gsm::time_format

Computes difference between reference frame number and a second frame number.

Parameters

  fn_ref | reference frame number modulo GSM_HYPER_FRAME
  fn | second frame number modulo GSM_HYPER_FRAME
  time_ref | precise timestamp of the first sample in the fn_ref
  time_hint | coarse time for fn that is used as a hint to avoid ambiguities caused by modulo operation applied to frame numbers

Returns
  difference between fn_ref and fn

## Enumeration Type Documentation

## filter_mode

enum gr::gsm::filter_mode

Enumerator
FILTER_LESS_OR_EQUAL |
FILTER_GREATER_OR_EQUAL |

## filter_policy

enum gr::gsm::filter_policy

Enumerator
FILTER_POLICY_DEFAULT |
FILTER_POLICY_PASS_ALL |
FILTER_POLICY_DROP_ALL |

## splitter_mode

enum gr::gsm::splitter_mode

Enumerator
SPLITTER_SDCCH8 |
SPLITTER_SDCCH4 |

## subslot_filter_mode

enum gr::gsm::subslot_filter_mode

Enumerator
SS_FILTER_SDCCH8 |
SS_FILTER_SDCCH4 |

## tch_mode

enum gr::gsm::tch_mode

Enumerator
TCH_AFS12_2 |
TCH_AFS10_2 |
TCH_AFS7_95 |
TCH_AFS7_4 |
TCH_AFS6_7 |
TCH_AFS5_9 |
TCH_AFS5_15 |
TCH_AFS4_75 |
TCH_FS |
TCH_EFR |
TCH_HS |

## um_radio_link_direction

enum gr::gsm::um_radio_link_direction

Enumerator
downlink |
uplink |

## Function Documentation

## api_version()

GSM_API const std::string gr::gsm::api_version | ( |  | ) |

return just the api version defined by cmake

References GSM_API.

## build_date()

GSM_API const std::string gr::gsm::build_date | ( |  | ) |

return date/time of build, as set when 'cmake' is run

References GSM_API.

## fn_time_delta_cpp()

GSM_API time_format gr::gsm::fn_time_delta_cpp | ( | uint32_t | fn_ref,
|  | time_format | time_ref,
|  | uint32_t | fn_x,
|  | time_format | time_hint,
|  | uint32_t | ts_num,
|  | uint32_t | ts_ref )

References GSM_API.

## maint_version()

GSM_API const std::string gr::gsm::maint_version | ( |  | ) |

return just the maint version defined by cmake

References GSM_API.

## major_version()

GSM_API const std::string gr::gsm::major_version | ( |  | ) |

return just the major version defined by cmake

References GSM_API.

## minor_version()

GSM_API const std::string gr::gsm::minor_version | ( |  | ) |

return just the minor version defined by cmake

References GSM_API.

## operator<()

bool gr::gsm::operator< | ( | const time_spec_t & | ,
|  | const time_spec_t & | )

Implement less_than_comparable interface.

## operator==()

bool gr::gsm::operator== | ( | const time_spec_t & | ,
|  | const time_spec_t & | )

Implement equality_comparable interface.

## version()

GSM_API const std::string gr::gsm::version | ( |  | ) |

return version string defined by cmake (GrVersion.cmake)

References GSM_API.